### Name: msc.msfiles.read.csv
### Title: Read Protein Mass Spectra from CSV files
### Aliases: msc.msfiles.read.csv
### Keywords: ts file

### ** Examples

  # example of mode "single string" FileList
  directory  = system.file("Test", package = "caMassClass")
  X = msc.msfiles.read.csv(directory, "IMAC_normal_.*csv")
  dim(X)
  
  # example of explicite 1D FileList
  ProjectFile = file.path(directory,"InputFiles.csv")
  FileList = read.csv(file=ProjectFile, comment.char = "")
  FileList[,3]
  X = msc.msfiles.read.csv(directory, FileList=FileList[,3], SampleNames=FileList[,1])
  dim(X)
  
  # example of explicite 2D FileList
  FileList[,3:4]
  X = msc.msfiles.read.csv(directory, FileList=FileList[,3:4], 
        SampleNames=FileList[,1], CopyNames=c("copy 1", "copy 2"))
  dim(X)



